export const dropDownMenu = (selection, props) => {
  const {
    options,
    onOptionClicked,
    selectedOption
  } = props;
  
  let slct = selection.selectAll('select').data([null]);
  slct = slct.enter().append('select')
    .merge(slct)
      .on('change', function() {
		    onOptionClicked(this.value);  
  	  });
  
  const option = slct.selectAll('option').data(options);
  option.enter().append('option')
    .merge(option)
      .attr('value', d => d)
      .property('selected', d => d === selectedOption)
      .text(d => d);
};